### Name: mirf
### Title: MULTIPLE IMPUTATION AND RANDOM FORESTS FOR UNOBSERVABLE PHASE,
###   HIGH-DIMENSIONAL DATA
### Aliases: mirf
### Keywords: models

### ** Examples
## Not run: 
##D library(mirf)
##D data(FMSmirfpckg)
##D 
##D # ACTN3 and RESISTIN are genes with 4 and 6 SNPs, respectively. 
##D genotype <- FMSmirfpckg[,c(2:11)]
##D gene.names <- c("actn3", "resistin")
##D 
##D # Make a genotype matrix with one letter per column. 
##D # See help(sepGeno) for more detail.
##D genoSingleColsResult <- sepGeno(genotype)
##D genoSingleCols <- genoSingleColsResult$geno
##D SNPnames <- genoSingleColsResult$SNPnames
##D 
##D # Now ACTN3 gene has 8 columns and RESISTIN has 12 columns
##D gene.column <- c(8,12) 
##D trait <- FMSmirfpckg$"NDRM.CH" 
##D 
##D # Assuming HWE for entire cohort and no covariates
##D # Note: this takes several minutes to run
##D mirf(geno=genoSingleCols, y=trait, gene.column=gene.column, 
##D gene.names = gene.names, SNPnames=SNPnames, M=4) 
##D 
##D # Specifying groups within which HWE is expected to hold 
##D # and specifying covariates to include as predictors 
##D hwe.group <- FMSmirfpckg$"Race"
##D 
##D # HWE assumed within groups defined by RACE
##D covariates<-cbind(FMSmirfpckg$"Center",FMSmirfpckg$"Gender",FMSmirfpckg$"Age")
##D dimnames(covariates)[[2]] <- c("Center","Gender","Age")
##D 
##D mirf(geno=genoSingleCols, y=trait, gene.column=gene.column, 
##D gene.names = gene.names, SNPnames=SNPnames, M=4, hwe.group=hwe.group, covariates=covariates)
##D 
##D # Residualizing by Center
##D residualize <-c(1)
##D mirf(geno=genoSingleCols, y=trait, gene.column=gene.column, 
##D gene.names = gene.names, SNPnames=SNPnames, M=4, hwe.group=hwe.group, 
##D covariates=covariates, residualize=residualize)
## End(Not run)


